'''2 Создайте объект-словарь с 3 элементами, в которых ключами являются
строки с названиями профессий, а значениями - списки с элементами:
средняя зарплата по соответствующей профессии, вероятность
устроиться на работу и возможность профессионального роста (логическое значение).
Значения придумайте самостоятельно.'''
dic1 = {'Программист': [500000,0.9, False], 'Уборщик': [1000000000, 1.0, True],
'Президент': [10, 0.1, True]}
print(dic1)

''' 3 Создайте объект-строку с названием одной из профессий и
напишите инструкцию, позволяющую для этого объекта
определить из словаря список с ее характеристиками.'''

st = list(dic1.keys())
#print(st)
strk = ('Характеристики профессии {prof}: {har}')
print(strk.format(prof = st[0], har = dic1[st[0]]))

'''4 Напишите инструкцию, создающую на основе словаря
список со значениями средних зарплат по представленным в словаре профессиям.'''

spis = list(dic1.values())
spis = sum(spis,[])
zp = spis[0::3]
print('Средние зарплаты:', zp)

''' 5 Напишите инструкцию, вычисляющую
среднюю вероятность трудоустройства по представленным в словаре профессиям.'''

ver = spis[1::3]
#print(ver)
print('Средняя вероятность трудоустройства:', round(sum(ver)/len(ver),2))
